Bug 301261 - Review Request: ladspa-vco-plugins - Anti-aliased pulse and sawtooth oscillators
Review Request: ladspa-vco-plugins - Anti-aliased pulse and sawtooth oscillators
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 16:26 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-09-21 16:26:29 EDT
Spec URL: http://people.atrpms.net/~hdegoede/ladspa-vco-plugins.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ladspa-vco-plugins-0.3.0-5.fc8.src.rpm
Description:
Pulse-VCO : Anti-aliased dirac pulse oscillator (flat amplitude spectrum)
Saw-VCO   : Anti-aliased sawtooth oscillator (1/F amplitude spectrum)
 
Both oscillators are based on the same principle of using a
precomputed interpolated dirac pulse. For the sawtooth version, the
'edge' is made by integrating the anti-aliased pulse. Aliases should
be below -80dB for fundamental frequencies below Fsamp / 6 (i.e. up to
8 kHz at Fsamp = 48 kHz). This frequency range includes the
fundamental frequencies all known musical instruments.
Comment 1 Parag AN(पराग) 2007-09-23 23:49:44 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
6fdf4a7e3c716abbb89721645427cd52  VCO-plugins-0.3.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Pacakge  ladspa-vco-plugins-0.3.0-5.fc8 ->
  Provides: blvco.so vco-plugins = 0.3.0-5.fc8 vco_sawpulse.so
  Requires: ladspa libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libgcc_s.so.1 libm.so.6 libm.so.6(GLIBC_2.0) libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 2 Hans de Goede 2007-09-24 03:05:10 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      ladspa-vco-plugins
Short Description: Anti-aliased pulse and sawtooth oscillators
Owners:            jwrdegoede nando
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes
Comment 3 Kevin Fenzi 2007-09-24 12:40:55 EDT
cvs done.
Comment 4 Hans de Goede 2007-09-24 14:02:32 EDT
Imported and build for devel and F-7, request push as F-7 update.

Note You need to log in before you can comment on or make changes to this bug.